PPA for sabnzbdplus on Raspbian Jessie

Support for the Debian/Ubuntu package, created by JCFP.
Forum rules
Help us help you:
  • Are you using the latest stable version of SABnzbd? Downloads page.
  • Tell us what system you run SABnzbd on.
  • Adhere to the forum rules.
  • Do you experience problems during downloading?
    Check your connection in Status and Interface settings window.
    Use Test Server in Config > Servers.
    We will probably ask you to do a test using only basic settings.
  • Do you experience problems during repair or unpacking?
    Enable +Debug logging in the Status and Interface settings window and share the relevant parts of the log here using [ code ] sections.
v-enom
Newbie
Newbie
Posts: 18
Joined: April 6th, 2013, 7:21 am

PPA for sabnzbdplus on Raspbian Jessie

Post by v-enom » September 22nd, 2017, 3:32 pm

Hi,

new week ago i've installed sabnzbdplus version 1.1.x and version 2.x on my Raspbian Stretch, but the SD crashed. Because of some other problems with Stretch i install again Raspbian Jessie. But i can't find a Repository to install a newer version than 0.7.x and i can't remeber how i installed the newer versions on Stretch.

When i try this https://sabnzbd.org/wiki/installation/i ... buntu-repo Repository i have this error:

Code: Select all

sudo add-apt-repository ppa:jcfp/nobetas
You are about to add the following PPA to your system:
 Exactly the same as https://launchpad.net/~jcfp/+archive/ubuntu/ppa but without alpha, beta or rc releases (and with the occasional extra delay thrown in for free!). Dermatologically tested. Compatible with cucumber water diets.

For SABYenc and various multicore versions of par2 see https://launchpad.net/~jcfp/+archive/ubuntu/sab-addons
 More info: https://launchpad.net/~jcfp/+archive/ubuntu/nobetas
Press [ENTER] to continue or ctrl-c to cancel adding it

Traceback (most recent call last):
  File "/usr/bin/add-apt-repository", line 167, in <module>
    sp = SoftwareProperties(options=options)
  File "/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py", line 105, in __init__
    self.reload_sourceslist()
  File "/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py", line 595, in reload_sourceslist
    self.distro.get_sources(self.sourceslist)    
  File "/usr/lib/python3/dist-packages/aptsources/distro.py", line 89, in get_sources
    (self.id, self.codename))
aptsources.distro.NoDistroTemplateException: Error: could not find a distribution template for Raspbian/jessie

User avatar
sander
Release Testers
Release Testers
Posts: 6134
Joined: January 22nd, 2008, 2:22 pm

Re: PPA for sabnzbdplus on Raspbian Jessie

Post by sander » September 22nd, 2017, 4:39 pm

Raspbian is a kind of debian, so follow the Debian instruction: viewtopic.php?f=16&t=9844 . Stretch is mentioned there.

And first without SAByenc and sab-addons, please, as that is a binary meant for Ubuntu

v-enom
Newbie
Newbie
Posts: 18
Joined: April 6th, 2013, 7:21 am

Re: PPA for sabnzbdplus on Raspbian Jessie

Post by v-enom » September 24th, 2017, 3:28 am

thx, works.

But with SAByenc SAB doesn't start after boot. This works fine without SAByenc. When i install it using this PPA 'deb http://ppa.launchpad.net/jcfp/sab-addons/ubuntu trusty main' and reboot the raspberry pi i can't connect to the webinterface. after uninstall SANyenc and restart again the webinterface works. wrong PPA?

User avatar
sander
Release Testers
Release Testers
Posts: 6134
Joined: January 22nd, 2008, 2:22 pm

Re: PPA for sabnzbdplus on Raspbian Jessie

Post by sander » September 24th, 2017, 9:50 am

You say you have Raspbian Stretch, correct?
The link viewtopic.php?f=16&t=9844 which I gave you says "For stretch (9.x), substitute lucid with xenial in the first command:". So not trusty.

v-enom
Newbie
Newbie
Posts: 18
Joined: April 6th, 2013, 7:21 am

Re: PPA for sabnzbdplus on Raspbian Jessie

Post by v-enom » September 24th, 2017, 10:41 am

No, Jessie. For Jessie trusty should be correct.

User avatar
sander
Release Testers
Release Testers
Posts: 6134
Joined: January 22nd, 2008, 2:22 pm

Re: PPA for sabnzbdplus on Raspbian Jessie

Post by sander » September 24th, 2017, 2:02 pm

v-enom wrote:
September 24th, 2017, 10:41 am
No, Jessie. For Jessie trusty should be correct.
Ah, yes, sorry, I misread your first post (and apparently ignored your subject :o )

Anyway: Your problem "no webinterface" is weird. I do not think it is linked to sabyenc. You could start from the CLI (not as a daemon) to see what's going on, or just do this:

To be on the safe side with sabyenc. de-install the PPA version, and install via pip

v-enom
Newbie
Newbie
Posts: 18
Joined: April 6th, 2013, 7:21 am

Re: PPA for sabnzbdplus on Raspbian Jessie

Post by v-enom » September 25th, 2017, 2:00 am

OK, this worked. But here it looks like the install with pip should work without sudo. When i try it without sudo it have an error, it only works with sudo.

Unfortunately i have not made a copy of it.

User avatar
safihre
Administrator
Administrator
Posts: 2129
Joined: April 30th, 2015, 7:35 am
Location: Switzerland
Contact:

Re: PPA for sabnzbdplus on Raspbian Jessie

Post by safihre » September 25th, 2017, 2:23 am

Depends on the system, but indeed usually sudo is required.

fred44nl
Newbie
Newbie
Posts: 19
Joined: October 28th, 2016, 7:51 am

Re: PPA for sabnzbdplus on Raspbian Jessie

Post by fred44nl » October 7th, 2017, 3:32 am

sorry to jump in this topic :)
I an running Jessie and recently Sabnzbdplus was updated to version 2.3.0
the result was a complaint about SabYenc, as the version was 3.0.2, whereas version 3.3.1 was expected.
I tried to solve this problem by installing the latest version op SabYenc manually.
but even with the correct version installed, there still comes a warning:
"SABYenc disabled: no correct version found! (Found v3.0.2, expecting v3.3.1)"
also SabYenc is "not available" in Settings.
how can I solve this ??

User avatar
safihre
Administrator
Administrator
Posts: 2129
Joined: April 30th, 2015, 7:35 am
Location: Switzerland
Contact:

Re: PPA for sabnzbdplus on Raspbian Jessie

Post by safihre » October 7th, 2017, 4:17 am

We will need a bit more information, what commands did you run and what was the output?

Is the python-sabyenc package installed from the addons PPA?
Otherwise try running:
sudo python2 uninstall sabyenc - y
sudo python2 install sabyenc --upgrade

fred44nl
Newbie
Newbie
Posts: 19
Joined: October 28th, 2016, 7:51 am

Re: PPA for sabnzbdplus on Raspbian Jessie

Post by fred44nl » October 7th, 2017, 5:40 am

safihre wrote:
October 7th, 2017, 4:17 am
Is the python-sabyenc package installed from the addons PPA?
yes, I used the PPA-addons.
the relevant lines in my /etc/apt/sources.list looks like this:
and the command: "sudo apt-get install python-sabyenc" ran without problems.
when I run "sudo find / -name sabyenc*" I get this:
/usr/local/lib/python2.7/dist-packages/sabyenc.so
/usr/local/lib/python2.7/dist-packages/sabyenc-3.0.2.egg-info
/usr/lib/python2.7/dist-packages/sabyenc.arm-linux-gnueabihf.so
/usr/lib/python2.7/dist-packages/sabyenc-3.3.1.egg-info
this proves that the installation of sabyenc was successful.

User avatar
safihre
Administrator
Administrator
Posts: 2129
Joined: April 30th, 2015, 7:35 am
Location: Switzerland
Contact:

Re: PPA for sabnzbdplus on Raspbian Jessie

Post by safihre » October 7th, 2017, 6:04 am

You see the problem right there, you have 2 versions installed. Remove the 2 files in
/usr/local/lib/python2.7/dist-packages

fred44nl
Newbie
Newbie
Posts: 19
Joined: October 28th, 2016, 7:51 am

Re: PPA for sabnzbdplus on Raspbian Jessie

Post by fred44nl » October 7th, 2017, 6:22 am

yes, ok,
can I just remove them, or do I have run some uninstall command ??

User avatar
safihre
Administrator
Administrator
Posts: 2129
Joined: April 30th, 2015, 7:35 am
Location: Switzerland
Contact:

Re: PPA for sabnzbdplus on Raspbian Jessie

Post by safihre » October 7th, 2017, 6:26 am

Just remove

fred44nl
Newbie
Newbie
Posts: 19
Joined: October 28th, 2016, 7:51 am

Re: PPA for sabnzbdplus on Raspbian Jessie

Post by fred44nl » October 7th, 2017, 6:39 am

ok, thanks,
problem solved :)

Post Reply